function [Psi,Lambda] = computePOD(C,U)

% compute eigenvalues and eigenvectors
  [V,Lambda] = eig(C);
  Lambda = diag(Lambda);
  
% determine d  
  d = find(~(Lambda>eps),1,'first')-1;

  if ~isempty(d)
  % shrink eigenvalues and eigenvectors 
    V = V(:,1:d);
    Lambda = Lambda(1:d);
  end
  
% compute POD basis functions
  Psi = U*(V*diag(Lambda.^-.5));
  Psi = sqrt(1./size(U,2)) * Psi;
  
  
